#!/bin/sh
# {{ ansible_managed }}
set -e

BLACKLIST="{{ eatmydata_blacklist }}"

if [ "$1" = "dpkg-buildpackage" ] && \
   [ -r "$BLACKLIST" ]            && \
   [ -r debian/changelog ]        && \
   which dpkg-parsechangelog >/dev/null 2>&1 && \
   grep -v '^#' "$BLACKLIST" | \
   grep -q -F -x "$(dpkg-parsechangelog -SSource 2>/dev/null || echo no_such_package)"
then
    exec "$@"
else
    exec eatmydata "$@"
fi
